> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Config History

> Obtém histórico de configurações.



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json get /api/v1/agent-config/history
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/agent-config/history:
    get:
      tags:
        - Agent Config
      summary: Get Agent Config History
      description: Obtém histórico de configurações.
      operationId: get_agent_config_history_api_v1_agent_config_history_get
      parameters:
        - name: agent_type
          in: query
          required: false
          schema:
            type: string
            default: agentic_search
            title: Agent Type
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Limite de resultados
            default: 10
            title: Limit
          description: Limite de resultados
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentConfigHistoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentConfigHistoryResponse:
      properties:
        agent_type:
          type: string
          title: Agent Type
        configs:
          items:
            $ref: '#/components/schemas/AgentConfigHistoryItem'
          type: array
          title: Configs
      type: object
      required:
        - agent_type
        - configs
      title: AgentConfigHistoryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentConfigHistoryItem:
      properties:
        config_id:
          type: string
          title: Config Id
        version:
          type: integer
          title: Version
        is_active:
          type: boolean
          title: Is Active
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        tools:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tools
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        embedding_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Name
      type: object
      required:
        - config_id
        - version
        - is_active
        - created_at
        - updated_at
        - metadata
        - tools
        - model_name
        - embedding_name
      title: AgentConfigHistoryItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````